-- | There's a module import cycle between Graph and WellFormed,
-- because WellFormed wants to be able to check if an FSM is
-- weakly-connected, and Graph wants to perform well-formedness checks
-- when converting a graph to an FSM.  We break the cycle here, by
-- being explicit about the first case (since its the smaller of the
-- two).

module Data.FsmActions.Graph (
    weakCCs
) where

import Data.FsmActions

weakCCs :: Eq sy => FSM sy -> [[State]]
